alloc_vm_area
Prev | More Memory Management Functions | Next

## Name

alloc_vm_area — allocate a range of kernel address space

## Synopsis

`struct vm_struct * alloc_vm_area (` | size_t | size`)`;

## Arguments

`size`

  size of the area

## Description

This function reserves a range of kernel address space, and allocates pagetables to map that range. No actual mappings are created. If the kernel address space is not shared between processes, it syncs the pagetable across all processes.

Prev | Up | Next
remap_vmalloc_range | Home | find_next_best_node